ru.bitel.bgbilling.modules.card.common.event

## Class CardActivateRequestEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.card.common.event.CardActivateRequestEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class CardActivateRequestEvent
      extends QueueEvent

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATUS_ACTIVATION_SUCCEEDED`
    `static int` | `STATUS_CARD_DEVICE_DENY`
    `static int` | `STATUS_CARD_EXPIRED`
    `static int` | `STATUS_CARD_FOR_BALANCE`
    `static int` | `STATUS_CARD_LOCKED`
    `static int` | `STATUS_INVALID_ACCOUNT`
    `static int` | `STATUS_INVALID_PIN`
    `static int` | `STATUS_SERVER_ERROR`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CardActivateRequestEvent()`
    `` | `CardActivateRequestEvent(int moduleId, java.util.Set<java.lang.Integer> services, int cardId, java.lang.String cardNumber, int deviceId, int activateModuleId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActivateModuleId()`
    `java.util.Set<java.lang.Integer>` | `getActivateServiceIds()`
    `int` | `getCardId()`
    `java.lang.String` | `getCardNumber()`
    `int` | `getDeviceId()`
    `int` | `getStatus()`
    `void` | `setStatus(int status)`
    `static int` | `statusToAccessCode(int status)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_ACTIVATION_SUCCEEDED

          public static final int STATUS_ACTIVATION_SUCCEEDED

      See Also:
        Constant Field Values

    - #### STATUS_INVALID_ACCOUNT

          public static final int STATUS_INVALID_ACCOUNT

      See Also:
        Constant Field Values

    - #### STATUS_INVALID_PIN

          public static final int STATUS_INVALID_PIN

      See Also:
        Constant Field Values

    - #### STATUS_CARD_EXPIRED

          public static final int STATUS_CARD_EXPIRED

      See Also:
        Constant Field Values

    - #### STATUS_CARD_LOCKED

          public static final int STATUS_CARD_LOCKED

      See Also:
        Constant Field Values

    - #### STATUS_CARD_FOR_BALANCE

          public static final int STATUS_CARD_FOR_BALANCE

      See Also:
        Constant Field Values

    - #### STATUS_CARD_DEVICE_DENY

          public static final int STATUS_CARD_DEVICE_DENY

      See Also:
        Constant Field Values

    - #### STATUS_SERVER_ERROR

          public static final int STATUS_SERVER_ERROR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CardActivateRequestEvent

          protected CardActivateRequestEvent()

    - #### CardActivateRequestEvent

          public CardActivateRequestEvent(int moduleId,
                                          java.util.Set<java.lang.Integer> services,
                                          int cardId,
                                          java.lang.String cardNumber,
                                          int deviceId,
                                          int activateModuleId)

  - ### Method Detail

    - #### getActivateServiceIds

          public java.util.Set<java.lang.Integer> getActivateServiceIds()

    - #### getCardId

          public int getCardId()

    - #### getCardNumber

          public java.lang.String getCardNumber()

    - #### getDeviceId

          public int getDeviceId()

    - #### getActivateModuleId

          public int getActivateModuleId()

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)

    - #### statusToAccessCode

          public static int statusToAccessCode(int status)